package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumProfitSharingReceiverStatus {
    PROFIT_SHARING_RECEIVER_STATUS_VALID(0, "正常"),
    PROFIT_SHARING_RECEIVER_STATUS_INVALID(1, "停用"),

    ;

    public static EnumProfitSharingReceiverStatus getEnum(Integer code) {
        for (EnumProfitSharingReceiverStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumProfitSharingReceiverStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
